<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:gravity="center"
        android:paddingVertical="10mm"
        android:visibility="gone">

        <Button
            android:id="@+id/btn_receive"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_blue_circle"
            android:paddingHorizontal="40mm"
            android:text="接收"
            android:textColor="@color/white"
            android:visibility="gone" />

        <Button
            android:id="@+id/btn_submit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_blue_circle"
            android:paddingHorizontal="40mm"
            android:text="提交工单总结"
            android:textColor="@color/white"
            android:visibility="gone" />
    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/ll_bottom">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="任务单号"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:textSize="14sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_client"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="客户"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_client"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_company"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="销售公司"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_company"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_manager"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="销售经理"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_manager"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/ViewX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="任务类别"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="right"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/tv_clazz"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="3mm"
                        android:text="请选择"
                        android:textSize="14sp" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_clazz"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="3mm"
                        android:layout_marginRight="3mm" />
                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="13mm"
                android:text="任务描述"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:layout_marginTop="3mm"
                android:background="@drawable/shape_input_white"
                android:gravity="top"
                android:minLines="3"
                android:padding="5mm"
                android:textSize="14sp" />

            <View
                style="@style/dividerX"
                android:layout_marginTop="15mm" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="任务担当"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_take_on"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

            </RelativeLayout>
            <View style="@style/dividerX" />
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="参与人数"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_person"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginLeft="10mm"
                    android:layout_weight="1"
                    android:background="@null"
                    android:gravity="right"
                    android:padding="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />
            </LinearLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="计划时间"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true">

                    <TextView
                        android:id="@+id/tv_start_time"
                        android:layout_width="110mm"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10mm"
                        android:gravity="center"
                        android:padding="5mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="12sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="5mm"
                        android:text="—"
                        android:textSize="18sp" />

                    <TextView
                        android:id="@+id/tv_end_time"
                        android:layout_width="110mm"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:padding="5mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="12sp" />
                </LinearLayout>
            </RelativeLayout>

            <View style="@style/dividerX" />


            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="制单人"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_create_person"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:gravity="center"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="制单日期"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/ViewX" />

            <RelativeLayout
                android:id="@+id/rl_log"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="日志列表"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="20mm"
                    android:layout_alignParentRight="true"
                    android:src="@mipmap/arrow_right_gray" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/rl_add_log"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="日志列表"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="填写工作日志"
                        android:textColor="@color/blue_btn"
                        android:textSize="16sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray" />
                </LinearLayout>
            </RelativeLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>
